module Villefort.Definitions (VConfig (..),Weekly(..)) where

-- | Villefort Configuration data
data VConfig  = VConfig {
  daily    :: [IO [String]],
  monthly  :: [IO [String]],
    yearly :: [IO [String]],
  weekly :: Weekly,
  colors :: [String],
  port :: Int,
  noCustom :: Bool,
  showDatabase :: Bool,
  database :: String
  }

-- | Villefort Weekly task datatype
data Weekly = Weekly {
  monday :: [IO[String]],
  tuesday :: [IO[String]],
  wednesday :: [IO[String]],
  thursday :: [IO[String]],
  friday :: [IO[String]],
  saturday :: [IO[String]],
  sunday ::[IO[String]]
                     }
